Subject: [Mgs] 1973 mgb master cylinder

From: John DiFede via Mgs <[email-masked]>
Date: Sat, 17 Nov 2018 10:45:40 -0500

On a US spec 1973 left hand drive MGB, is it possible to remove and replace the brake and clutch master cylinders without removing the pedal box?   The Bentley and Haynes books both state this is possible on the older B’s , but not the newer models with the tandem (dual circuit) master brake cylinder.  I’m not looking forward to going up into drivers side footwell to access the pedal box bolts.  I don’t bend or see as well as I used to when I did this job 20 years ago!  

Thanks 
John. 1973 MGB
Sent from my iPhone
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/mgs

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]